summaryrefslogtreecommitdiffstats
path: root/.qmake.conf
diff options
context:
space:
mode:
authorJocelyn Turcotte <jocelyn.turcotte@digia.com>2014-08-11 16:11:45 +0200
committerJocelyn Turcotte <jocelyn.turcotte@digia.com>2014-08-12 08:29:20 +0200
commitda4ea674c75579f2040acd0ec55c68b00898f4d0 (patch)
treea6917af910cf876ba150ee364d46fe9949e34711 /.qmake.conf
parent37fcb1517cf41066215a3c552c2021773bb1fd63 (diff)
Update the library and QML version to 1.0
Also update all the examples to use 1.0 as 0.9 shouldn't be publically recommended. Change-Id: Ic58e35bdfd3a0f3d5201fc069b7103027ba84574 Reviewed-by: Andras Becsi <andras.becsi@digia.com>
Diffstat (limited to '.qmake.conf')
-rw-r--r--.qmake.conf8
1 files changed, 7 insertions, 1 deletions
diff --git a/.qmake.conf b/.qmake.conf
index aecb86d1..005d226f 100644
--- a/.qmake.conf
+++ b/.qmake.conf
@@ -2,4 +2,10 @@ QMAKEPATH += $$PWD/tools/qmake
load(qt_build_config)
CONFIG += qt_example_installs
-MODULE_VERSION = 0.9.0
+# We released 1.0.0 together with 5.4.0. Since then we're 4 majors
+# and 4 minors behind, until we need to release standalone.
+QTWEBENGINE_MAJOR = $$system(python -c \"print($$QT_MAJOR_VERSION - 4)\")
+QTWEBENGINE_MINOR = $$system(python -c \"print($$QT_MINOR_VERSION - 4)\")
+QTWEBENGINE_PATCH = $$QT_PATCH_VERSION
+
+MODULE_VERSION = $${QTWEBENGINE_MAJOR}.$${QTWEBENGINE_MINOR}.$${QTWEBENGINE_PATCH}